Summary: The GNU libtool, which simplifies the use of shared libraries.
Name: libtool
Version: 1.4.2
Release: 1.3.0
License: GPL
Group: Development/Tools
Source: ftp://ftp.gnu.org/gnu/libtool/libtool-%{version}.tar.bz2
URL: http://www.gnu.org/software/libtool/
Patch1: libtool-1.3.5-mktemp.patch
Patch2: libtool-1.4-nonneg.patch
Patch4: libtool-1.4.2-s390.patch
Patch5: libtool-1.4.2-test-quote.patch
#Patch6: libtool-1.4.2-filemagic.patch
#Patch7: libtool-1.4.2-archive-shared.patch
#Patch8: libtool-1.4.2-destdir-relink-58664.patch
Prefix: %{_prefix}
PreReq: /sbin/install-info, autoconf, automake >= 1.4p1, m4, perl
Requires: libtool-libs = %{version}-%{release}, mktemp
BuildRoot: %{_tmppath}/%{name}-root

%description
The libtool package contains the GNU libtool, a set of shell scripts
which automatically configure UNIX and UNIX-like architectures to
generically build shared libraries.  Libtool provides a consistent,
portable interface which simplifies the process of using shared
libraries.

If you are developing programs which will use shared libraries, you
should install libtool.

%package libs
Summary: Runtime libraries for GNU libtool.
Group: System Environment/Libraries

%description libs
The libtool-libs package contains the runtime libraries from GNU
libtool.  GNU libtool uses these libraries to provide portible dynamic
loading of shared libraries.

If you are using some programs that provide shared libraries built
with GNU libtool, you should install the libtool-libs package to
provide the dynamic loading library

%prep
%setup -q
%patch1 -p1 -b .mktemp
%patch2 -p1 -b .nonneg
%patch4 -p1 -b .s390
%patch5 -p1 -b .test
#%patch6 -p1 -b .magic
#%patch7 -p1 -b .archive

%build
# define libtoolize to true, in case configure calls it
%define __libtoolize /bin/true
%configure
						
make -C doc
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}
%makeinstall

cp install-sh missing mkinstalldirs demo

{ cd ${RPM_BUILD_ROOT}
  gzip -9nf .%{_infodir}/*.info*
# XXX remove zero length file
  rm -f .%{_datadir}/libtool/libltdl/stamp-h.in
# XXX forcibly break hardlinks
  mv .%{_datadir}/libtool/libltdl .%{_datadir}/libtool/libltdl-X
  mkdir .%{_prefix}/share/libtool/libltdl
  cp .%{_datadir}/libtool/libltdl-X/* .%{_datadir}/libtool/libltdl
  rm -rf .%{_prefix}/share/libtool/libltdl-X
}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/install-info %{_infodir}/libtool.info.gz %{_infodir}/dir


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/libtool.info.gz %{_infodir}/dir
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
%doc THANKS TODO ChangeLog demo
%{_bindir}/*
%{_includedir}/*
%{_infodir}/libtool.info*
%{_datadir}/libtool
%{_libdir}/libltdl.so
%{_libdir}/libltdl.*a
%{_datadir}/aclocal/*

%files libs
%defattr(-,root,root)
%{_libdir}/libltdl.so.*

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).
  - Taken from Red Hat 7.3.  Pre-EnGarde changelog removed.
